import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
	state: {},
	mutations: {
		setState(state, [key, val]) {
			state[key] = val
		}
	},
	actions: {
		// getWorkerList({ commit }) {
		//   reqWorkerList({
		//     searchStr: '',
		//     pageSize: 1000,
		//     pageNum: 1
		//   }).then(res => {
		//     commit('setState', ['workerList', res.content])
		//   })
		// },
	},
})
